> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Endpoints



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/webhooks/endpoints
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks/endpoints:
    get:
      tags:
        - 'External: Webhooks'
      summary: List Endpoints
      operationId: list_endpoints_api_v1_webhooks_endpoints_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/EndpointResponse'
                type: array
                title: Response List Endpoints Api V1 Webhooks Endpoints Get
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    EndpointResponse:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        filter_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Filter Types
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
      type: object
      required:
        - id
        - url
      title: EndpointResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````